import {
  styleExpressionProperty
} from "./chunk.K4KPKUH4.js";
import {
  tokens
} from "./chunk.LVFKJRDS.js";
import {
  GdsElement
} from "./chunk.TMEWQZER.js";
import {
  gdsCustomElement,
  html
} from "./chunk.QK3R23GV.js";
import {
  __decorateClass
} from "./chunk.SEHSDSX2.js";

// libs/core/src/components/img/img.ts
import { property } from "lit/decorators.js";

// libs/core/src/components/img/img.style.ts
import { css } from "lit";
var style = css`
  :host {
    display: block;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-size: 0;
    width: 100%;
    height: auto;
    overflow: hidden;
  }

  img {
    display: flex;
    width: 100%;
    height: 100%;
  }
`;
var img_style_default = style;

// libs/core/src/components/img/img.ts
var GdsImg = class extends GdsElement {
  render() {
    return html`<img src="${this.src}" alt="${this.alt}" />`;
  }
};
GdsImg.styles = [tokens, img_style_default];
__decorateClass([
  styleExpressionProperty({
    property: "aspect-ratio",
    valueTemplate: (v) => v
  })
], GdsImg.prototype, "aspect-ratio", 2);
__decorateClass([
  styleExpressionProperty({
    property: "object-position",
    selector: "img",
    valueTemplate: (v) => v
  })
], GdsImg.prototype, "position", 2);
__decorateClass([
  styleExpressionProperty({
    property: "inset",
    valueTemplate: (v) => v
  })
], GdsImg.prototype, "inset", 2);
__decorateClass([
  styleExpressionProperty({
    property: "width",
    valueTemplate: (v) => v
  })
], GdsImg.prototype, "width", 2);
__decorateClass([
  styleExpressionProperty({
    property: "height",
    valueTemplate: (v) => v
  })
], GdsImg.prototype, "height", 2);
__decorateClass([
  styleExpressionProperty({
    property: "opacity",
    valueTemplate: (v) => v
  })
], GdsImg.prototype, "opacity", 2);
__decorateClass([
  styleExpressionProperty({
    property: "object-fit",
    selector: "img",
    valueTemplate: (v) => v
  })
], GdsImg.prototype, "object-fit", 2);
__decorateClass([
  property()
], GdsImg.prototype, "src", 2);
__decorateClass([
  property()
], GdsImg.prototype, "alt", 2);
__decorateClass([
  styleExpressionProperty({
    property: "border-radius",
    valueTemplate: (v) => `var(--gds-space-${v})`
  })
], GdsImg.prototype, "border-radius", 2);
GdsImg = __decorateClass([
  gdsCustomElement("gds-img")
], GdsImg);

export {
  GdsImg
};
