import {
  GdsContainer
} from "./chunk.CIUHRMH7.js";
import {
  styleExpressionProperty
} from "./chunk.K4KPKUH4.js";
import {
  tokens
} from "./chunk.LVFKJRDS.js";
import {
  gdsCustomElement,
  html
} from "./chunk.QK3R23GV.js";
import {
  __decorateClass
} from "./chunk.SEHSDSX2.js";

// libs/core/src/components/flex/flex.styles.ts
import { css } from "lit";
var style = css`
  :host {
    box-sizing: border-box;
  }
`;
var flex_styles_default = style;

// libs/core/src/components/flex/flex.ts
var GdsFlex = class extends GdsContainer {
  connectedCallback() {
    super.connectedCallback();
    this.display = "flex";
  }
  render() {
    return html`<slot></slot>`;
  }
};
GdsFlex.styles = [tokens, flex_styles_default];
__decorateClass([
  styleExpressionProperty({
    styleTemplate: (_prop, values) => {
      const colGap = values[0];
      const rowGap = values[1] || colGap;
      return `gap: ${colGap} ${rowGap};`;
    },
    cacheOverrideKey: "flex"
  })
], GdsFlex.prototype, "gap", 2);
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => v
  })
], GdsFlex.prototype, "flex", 2);
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => v
  })
], GdsFlex.prototype, "align-self", 2);
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => v
  })
], GdsFlex.prototype, "align-items", 2);
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => v
  })
], GdsFlex.prototype, "align-content", 2);
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => v
  })
], GdsFlex.prototype, "justify-content", 2);
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => v
  })
], GdsFlex.prototype, "place-content", 2);
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => v
  })
], GdsFlex.prototype, "justify-items", 2);
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => v
  })
], GdsFlex.prototype, "justify-self", 2);
__decorateClass([
  styleExpressionProperty({
    property: "flex-direction",
    valueTemplate: (v) => v
  })
], GdsFlex.prototype, "flex-direction", 2);
__decorateClass([
  styleExpressionProperty({
    property: "flex-wrap",
    valueTemplate: (v) => v
  })
], GdsFlex.prototype, "flex-wrap", 2);
GdsFlex = __decorateClass([
  gdsCustomElement("gds-flex")
], GdsFlex);

export {
  GdsFlex
};
