import {
  Focusable,
  option_styles_default
} from "./chunk.ZRKILGXZ.js";
import {
  TransitionalStyles
} from "./chunk.IEWLS75F.js";
import {
  GdsElement
} from "./chunk.TMEWQZER.js";
import {
  gdsCustomElement,
  html
} from "./chunk.QK3R23GV.js";
import {
  __decorateClass,
  __privateAdd,
  __privateGet
} from "./chunk.SEHSDSX2.js";

// libs/core/src/primitives/menu/menu-item.ts
var _handleOnClick;
var GdsMenuItem = class extends Focusable(GdsElement) {
  constructor() {
    super(...arguments);
    __privateAdd(this, _handleOnClick, () => {
      this.dispatchEvent(
        new CustomEvent("gds-menu-item-click", {
          bubbles: true,
          composed: true
        })
      );
    });
  }
  connectedCallback() {
    super.connectedCallback();
    this.setAttribute("role", "menuitem");
    this.addEventListener("keydown", (e) => {
      if (e.key !== "Enter" && e.key !== " ")
        return;
      e.preventDefault();
      this.click();
    });
    this.addEventListener("click", __privateGet(this, _handleOnClick));
    TransitionalStyles.instance.apply(this, "gds-option");
  }
  render() {
    return html`<div><slot></slot></div>`;
  }
};
_handleOnClick = new WeakMap();
GdsMenuItem.styles = [option_styles_default];
GdsMenuItem = __decorateClass([
  gdsCustomElement("gds-menu-item")
], GdsMenuItem);

export {
  GdsMenuItem
};
