import {
  styleExpressionProperty
} from "./chunk.K4KPKUH4.js";
import {
  GdsButton
} from "./chunk.76CTWWTO.js";
import {
  gdsCustomElement
} from "./chunk.QK3R23GV.js";
import {
  __decorateClass
} from "./chunk.SEHSDSX2.js";

// libs/core/src/components/fab/fab.styles.ts
import { css } from "lit";
var style = css`
  :host {
    display: flex;
    z-index: 1050;
    position: fixed;
    inset: auto var(--gds-space-3xl) var(--gds-space-3xl) auto;
  }
  .button {
    box-shadow: var(--gds-shadow-m);
    block-size: calc(var(--_block-size) + var(--gds-space-xs));
    width: max-content;
  }
`;
var fab_styles_default = style;

// libs/core/src/components/fab/fab.ts
var GdsFab = class extends GdsButton {
  connectedCallback() {
    super.connectedCallback();
    this._dynamicStylesController.inject("FAB_styles", fab_styles_default);
  }
};
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => v
  })
], GdsFab.prototype, "position", 2);
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => v
  })
], GdsFab.prototype, "transform", 2);
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => v
  })
], GdsFab.prototype, "inset", 2);
GdsFab = __decorateClass([
  gdsCustomElement("gds-fab")
], GdsFab);

export {
  GdsFab
};
